Subject: Re: [bug#28794] [PATCH] gnu: games: Add openrct2.

From: ng0 <[email-masked]>
Date: Fri, 13 Oct 2017 11:43:45 +0000

Rutger Helling transcribed 5.3K bytes:
> Hey Ludo,
> 
> I think it makes sense to add it, but have it be the responsibility of
> the user to provide the assets, since these files can never be bundled
> in Guix. Maybe it should explicitly mention that.
> 
> Note that Guix already has a similar situation with an accepted package,
> OpenMW. OpenMW also does nothing without the original game's assets.
> Since that got accepted I figured it made sense to add this package. 
> 
> OpenMW seems to have been accepted in Debian too:
> https://packages.debian.org/sid/openmw. 
> 
> For reference, here's the list of required assets for OpenRCT2:
> https://github.com/OpenRCT2/OpenRCT2/wiki/Required-RCT2-files. 
> 
> Personally I think it makes sense to provide libre engine replacements
> for games, to motivate users to use those instead of running proprietary
> code. The FSF directory even explicitly mentions OpenMW for example:
> https://directory.fsf.org/wiki/OpenMW. 

Additionally: Do you know if an upstream bug report already exists on
replacing the original data requirements? As much as I liked RCT2 back
then - and I still have the disks - it would be pretty cool to see a
full re-implementation with original new art!

> On 2017-10-13 08:50, [email-masked] wrote:
> 
> > Hi Rutger,
> > 
> > Rutger Helling <[email-masked]> skribis:
> > 
> >> From 12255f73d23a078fc2da099f22564e20cf3c69cc Mon Sep 17 00:00:00 2001
> >> From: Rutger Helling <[email-masked]>
> >> Date: Thu, 12 Oct 2017 10:22:27 +0200
> >> Subject: [PATCH] gnu: games: Add openrct2.
> >> 
> >> * gnu/packages/games.scm (openrct2): New variable.
> > 
> > The patch LGTM.  However, when starting the program, it says that it
> > needs files (supposedly artwork) from the original RollerCoaster
> > Tycoon 2 and exits immediately.
> > 
> > That makes the package useless in the absence of these presumably
> > non-free files.
> > 
> > Looking at
> > <https://www.gnu.org/distros/free-system-distribution-guidelines.html#non-functional-data>,
> > I think we cannot really consider these files to be non-functional data
> > because the software doesn't do anything if they are missing.  So I
> > wonder whether it makes sense to include it in Guix as-is.
> > 
> > WDYT?  Do you know what Debian or other free distros do?
> > 
> > Thank you,
> > Ludo'.

-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://dist.ng0.infotropique.org/dist/keys/
https://www.infotropique.org https://ng0.infotropique.org